<?php

/*
* SureCash Payment gateway for WHMCS
* Developed by: Server Good Life
* www.servergoodlife.com
*/

if (!defined("WHMCS")) die("This file cannot be accessed directly");

function surecash_config() {

    $configarray = array(
     "FriendlyName" => array(
        "Type" => "System",
        "Value" => "SureCash Manual"
        ),
     "instructions" => array(
        "FriendlyName" => "SureCash Manual Instructions",
        "Type" => "textarea",
        "Rows" => "5",
        "Value" => "SureCash Wallet no:",
        "Description" => "The instructions you want displaying to customers who choose this payment method - the invoice number will be shown as SureCash referral number",
        ),
    );

    return $configarray;

}

function surecash_link($params) {
    global $_LANG;

    $code = '<p>'.nl2br($params['instructions']).'<br />'.$_LANG['invoicerefnum'].': '.$params['invoiceid'].'</p>';

    return $code;

}